BizKitHub
DocsAPI ReferenceChat/bff/chat/list
getChatAdmin BFF

/bff/chat/list

List chat rooms for the admin grid

ChatgetBffChatList

Parameters

10 query

Query parameters

· 10
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit
filterFulltextQuerystringOptional
Length: 0200
Exampleexample_filterFulltextQuery
kindstringOptional
Length: 016
Exampleexample_kind
sourcestringOptional
Length: 032
Exampleexample_source
ownerMemberIdstringOptional
Exampleexample_ownerMemberId
contactExternalIdstringOptional
Length: 1616
Exampleexample_contactExternalId
externalUserRefstringOptional
Length: 064
Exampleexample_externalUserRef
dateFromstringOptional
Exampleexample_dateFrom
dateTostringOptional
Exampleexample_dateTo

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idstringRequired
Length: 2424
kind"ai" | "internal" | "external"Required
titlestringRequired
sourcestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
modelstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
ownerMemberIdstring | integer | nullRequired
One of 2:
Variant 1
string | integer
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Variant 2
null
ownerContactExternalIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
ownerContactNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
externalUserRefstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
messageCountstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
totalTokensstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
lastMessageDatestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
isMarkedProblematicbooleanRequired
hasProblematicMessagebooleanRequired
insertedDatestringRequired
updatedDatestringRequired
metadataobjectRequired
totalstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer

Response example

application/json
{
  "items": [
    {
      "id": "example_id",
      "title": "example_title",
      "isMarkedProblematic": false,
      "hasProblematicMessage": false,
      "insertedDate": "example_insertedDate",
      "updatedDate": "example_updatedDate",
      "metadata": {}
    }
  ]
}

Request example

GET /bff/chat/list

get
curl -X GET "https://api.bizkithub.com/bff/chat/list?page=example_page&limit=example_limit&filterFulltextQuery=example_filterFulltextQuery&kind=example_kind&source=example_source&ownerMemberId=example_ownerMemberId&contactExternalId=example_contactExternalId&externalUserRef=example_externalUserRef&dateFrom=example_dateFrom&dateTo=example_dateTo" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key